GET
/
v1
/
verifications
List verifications
curl --request GET \
  --url https://sandbox.authbound.io/v1/verifications \
  --header 'X-Authbound-Key: <api-key>'
{
  "object": "list",
  "data": [
    {
      "id": "vrf_abc123",
      "object": "verification",
      "policy_id": "pol_age_over_18_authbound_v1",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "policy_hash": "<string>",
      "provider": "eudi",
      "client_action": {
        "data": "<string>",
        "expires_at": "2023-11-07T05:31:56Z"
      },
      "verification_url": "<string>",
      "customer_user_ref": "<string>",
      "metadata": {},
      "terminal_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

X-Authbound-Key
string
header
required

Server-side secret key header. Format: sk_live_* (production) or sk_test_* (testing).

Query Parameters

status
enum<string>
Available options:
created,
awaiting_user,
awaiting_provider,
processing,
verified,
failed,
canceled,
expired
limit
integer
default:20
Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination (verification ID)

ending_before
string

Cursor for reverse pagination

Response

List of verifications

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null

Cursor to use for next page (null if no more)